SIS651 CHIPSET

Hello;

i'd like to ask why i cant play angry birds seasons v.2.30 on my computer yes it can be installed i have 1gb of main memory which is enough and the problem is "it says opengl 2.0 incompatible or opengl 1.3 / 1.4 incompatible. Now my question is how can i upgrade the opengl of my SiS651 chipset motherboard. i have the latest version of my sis651 driver "univga3" and still i get the same error when i try to play angrybirds seasons v.2.30
1 answer Last reply
More about sis651 chipset
  1. It is telling you that your video card doesn't meet the standards required by the game itself. Honestly, you should consider an upgrade to your overall system as yours is rather dated.

    Sorry. Good luck!
Ask a new question

Read More

Graphics Cards Chipsets OpenGL Graphics